As promised:

http://www.aagh.net/files/ruby-tar/ruby-tar-0.1.0.tar.gz

It can read/extract it's own tarball which is always a good sign, even
if the code itself is, um, less than optimal.

It should manage any POSIX compatible archive; GNU extensions like
sparse files and the extra metadata they provide are not yet supported,
nor is writing or updating archives.

-- 
Thomas 'Freaky' Hurst  -  freaky / aagh.net  -  http://www.aagh.net/
-
According to my best recollection, I don't remember.
		-- Vincent "Jimmy Blue Eyes" Alo